org.bouncycastle.asn1.x509

## Class DSAParameter

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.DSAParameter

All Implemented Interfaces:
  DEREncodable

    public class DSAParameter
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DSAParameter(ASN1Sequence seq)`
`DSAParameter(java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g)`

### Method Summary

Methods
`java.math.BigInteger` `getG()`
`static DSAParameter` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DSAParameter` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getP()`
`java.math.BigInteger` `getQ()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DSAParameter

    public DSAParameter(java.math.BigInteger p,
                java.math.BigInteger q,
                java.math.BigInteger g)

#### DSAParameter

    public DSAParameter(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static DSAParameter getInstance(ASN1TaggedObject obj,
                           boolean explicit)

#### getInstance

    public static DSAParameter getInstance(java.lang.Object obj)

#### getP

    public java.math.BigInteger getP()

#### getQ

    public java.math.BigInteger getQ()

#### getG

    public java.math.BigInteger getG()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`